//
//  CategoryListRouter.swift
//  xsea
//
//  Created Phạm Anh Tuấn on 8/31/19.
//  Copyright © 2019 Phạm Anh Tuấn. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class CategoryListRouter: CategoryListWireframeProtocol {
    func pushToCategoryDetail(selecttionCategory: Category, navColor: UIColor) {
        let categoryDetailVC = CategoryDetailRouter.createModule(with: selecttionCategory, navColor: navColor)
        self.viewController?.navigationController?.pushViewController(categoryDetailVC, animated: true)
    }
    
    
    
    weak var viewController: UIViewController?

    static func createModule(view categoryListViewRef: CategoryListViewController) {
        // Change to get view from storyboard if not using progammatic UI
        let interactor = CategoryListInteractor()
        let router = CategoryListRouter()
        let presenter = CategoryListPresenter(interface: categoryListViewRef, interactor: interactor, router: router)

        categoryListViewRef.presenter = presenter
        interactor.presenter = presenter
        router.viewController = categoryListViewRef
    }
}
